Svgtopam User Manual(0)

NAME
svgtopam - convert an SVG (Scalable Vector Graphics) image to Netpbm format

SYNOPSIS
svgtopam [-trace] [pnmfile]

Minimum unique abbreviation of option is acceptable. You may use double hyphens instead of single hyphen to denote options. You may use white space in place of the equals sign to separate an option name from its value.

DESCRIPTION

This program is part of Netpbm(1) .

svgtopam reads an SVG (Scalable Vector Graphics) image as input and produces a PAM image as output.

svgtopam is so weak that it is probably not useful in general for converting SVG images. It understands only <path> SVG elements which use only the "M", "L", and "z" commands, and only those that use whole number arguments. This is sufficient for converting most of what comes out of pamtosvg (not by coincidence - the program was developed for the specific task of testing pamtosvg), but the main reason it is part of Netpbm is to provide a base for someone to create a full SVG to Netpbm converter.

SVG is a vector image format, which means it describes curves that compose an image. By contrast, PNM is a raster format, which means it describes dots that compose an image. The main practical difference between the two types is that you can scale vector images better. A vector image also takes a lot less data to describe an image if the image is composed of simple curves.

That means it is really an understatement to say that svgtopam is an image format converter. It's really an image drawer, not unlike ppmdraw.

For more information on SVG, see the Worldwide Web Consortium's SVG web page (http://www.w3.org/Graphics/SVG/) .

OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see
 Common Options index.html#commonoptions ), svgtopam recognizes the following command line option:

-trace
    This option makes svgtopam issue messages describing the drawing.

SEE ALSO
pamtosvg(1) , pam(1) ,

HISTORY

svgtopam was added to Netpbm in Version 10.34 (May 2006).

Bryan Henderson created svgtopam to test pamtosvg.

DOCUMENT SOURCE
This manual page was generated by the Netpbm tool 'makeman' from HTML source. The master documentation is at

    http://netpbm.sourceforge.net/doc/svgtopam.html